# frozen_string_literal: true

require 'diff/package_manager/version'
require 'active_support/inflector'

require 'diff/strategy/base'
require 'diff/strategy/bundler'

module Diff
  class PackageManager
    def initialize(strategy, diff)
      @s = "Diff::Strategy::#{strategy.capitalize}".constantize.new(diff)
    rescue NameError
      raise ArgumentError, "unknown strategy: #{strategy}"
    end

    def exists?
      @s.exists?
    end

    def output(format = :markdown)
      @s.output(format)
    end
  end
end
